import { JSONArrayOf, JSONObject } from '../../json';
import { ServiceClient } from '../JSONRPC11/ServiceClient';
declare type IsAdminResult = boolean;
interface GetExecAggrTableParam {
    begin?: number;
    end?: number;
}
interface GetExecAggrTableResult extends JSONObject {
    app: string;
    func: string;
    func_mod: string;
    n: number;
    user: string;
}
interface GetExecAggrStatsParam {
    full_app_ids?: JSONArrayOf<string>;
    per_week?: boolean;
}
interface GetExecAggrStatsResult extends JSONObject {
    full_app_id: string;
    time_range: string;
    type: string;
    number_of_calls: number;
    number_of_errors: number;
    module_name: string;
    total_queue_time: number;
    total_exec_time: number;
}
export default class CatalogClient extends ServiceClient {
    module: string;
    is_admin(): Promise<JSONArrayOf<IsAdminResult>>;
    get_exec_aggr_table(param: GetExecAggrTableParam): Promise<Array<GetExecAggrTableResult>>;
    get_exec_aggr_stats(param: GetExecAggrStatsParam): Promise<Array<GetExecAggrStatsResult>>;
}
export {};
