import { JSONObject } from '../../json';
import { ServiceClient } from '../JSONRPC11/ServiceClient';
export interface User extends JSONObject {
    username: string;
    realname: string;
}
export interface UserProfile extends JSONObject {
    user: User;
    profile: {
        synced: {
            gravatarHash: string;
        };
        userdata: {
            jobTitle: string;
            jobTitleOther: string;
            organization: string;
            city: string;
            state: string;
            country: string;
            avatarOption: string;
            gravatarDefault: string;
        };
        metadata: {
            createdBy: string;
            created: string;
        };
    };
}
export declare type GetUserProfileParams = Array<string>;
export declare type GetUserProfileResult = Array<UserProfile>;
export default class UserProfileClient extends ServiceClient {
    module: string;
    get_user_profile(params: GetUserProfileParams): Promise<GetUserProfileResult>;
}
