"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_1 = require("../../json");
const ServiceClient_1 = require("../JSONRPC11/ServiceClient");
class CatalogClient extends ServiceClient_1.ServiceClient {
    constructor() {
        super(...arguments);
        this.module = 'Catalog';
    }
    is_admin() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.callFunc('is_admin', [null]);
            }
            catch (ex) {
                console.error('ERROR', ex);
                throw ex;
            }
        });
    }
    get_exec_aggr_table(param) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.callFunc('get_exec_aggr_table', [json_1.objectToJSONObject(param)]);
        });
    }
    get_exec_aggr_stats(param) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.callFunc('get_exec_aggr_stats', [json_1.objectToJSONObject(param)]);
        });
    }
}
exports.default = CatalogClient;
//# sourceMappingURL=Catalog.js.map